import { mapStateToLayoutProps, rankWith } from '@jsonforms/core';
import { html } from '@microsoft/fast-element';
import { isLayoutArray } from '../testers/isLayoutArray';
import { LAYOUT_ARRAY_RANK } from './RenderersRanks';
export const LayoutArrayRendererTemplate = html `
  <template>
    <array-list-wrapper :form=${(x) => x} :control=${(x) => x.control}></array-list-wrapper>
  </template>
`;
export const LayoutArrayRendererEntry = {
    renderer: LayoutArrayRendererTemplate,
    tester: rankWith(LAYOUT_ARRAY_RANK, isLayoutArray),
    mapper: mapStateToLayoutProps,
};
